---
lang: en
title: 'API docs: filter.wherebuilder.and'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.and.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [and](./filter.wherebuilder.and.md)

## WhereBuilder.and() method

Add an `and` clause.

**Signature:**

```typescript
and(...w: (Where<MT> | Where<MT>[])[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  w | ([Where](./filter.where.md)<!-- -->&lt;MT&gt; \| [Where](./filter.where.md)<!-- -->&lt;MT&gt;\[\])\[\] | One or more where objects |

**Returns:**

this


